Bug 269165 - [launchers] buildCommand is not consistent with runCommand in Launchers
[launchers] buildCommand is not consistent with runCommand in Launchers
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
Dev
All All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-29 13:37 UTC by Vladimir Voskresensky
Modified: 2016-12-08 10:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2016-11-29 13:37:57 UTC
create the following Launcher:
run command: ls *
build command: ls *
then invoke Run=>Launcher
and 
Build=>Launcher
you will see the very different output

workaround is to specify Buld command as
sh -e "ls *"

We need to resolve inconsistency
Comment 1 Alexander Simon 2016-11-30 12:20:50 UTC
fixed in enum, branch release82, change set 67fa7447a26c
Comment 2 Quality Engineering 2016-12-03 03:03:31 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2c7f6c0f0076
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #269165 [launchers] buildCommand is not consistent with runCommand in Launchers
(transplanted from 67fa7447a26cd5e10601ed3b37a82737ae05f080)
Comment 3 soldatov 2016-12-08 10:59:26 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo